/*
 *
 * Copyright (C) 1992 by Z. Wagner
 *
 */

#define CS_INDEX 

#include <stdio.h>
#include <string.h>

#ifdef CS_INDEX
extern int read_diac_macros;
extern int write_diac_macros;
extern int write_iec;
void read_diacs(char* *field);
char *write_diacs(char *str);
void scan_diacs(char* *field);
#endif

#ifndef CS_MAIN
extern char cscode;
extern char koi8cs[];
#endif

#ifndef __CTYPE_H
#include <ctype.h>
#endif

int csupper (int ch);
int cslower (int ch);

#define _ctype koi8cs

#undef isascii
#undef TOLOWER
#undef TOUPPER
#define isascii(c)  ((unsigned(c) < 256)
#define TOLOWER(c)  cslower((unsigned char)c)
#define TOUPPER(c)  csupper((unsigned char)c)

/* CsIndex's prototypes */

char *cs2ind (char *stg);
char  ccs2ind (char c);
int   cstrcmp (char *c1, char *c2);
int   csgetc (FILE*);

#ifndef CS_MAIN
#undef  GET_CHAR
#undef  STREQ
#undef  STRNEQ
#undef  VERSION
#undef  USAGE
#endif

#define GET_CHAR csgetc
#define VERSION   ">>Czech<< (hopefully) portable version 2.14 [21-Feb-2007]"
#define USAGE \
   "Usage:\n %s [-ilqrcg] [-s sty] [-o ind] [-t log] [-p num] [-z code] [-d] [-h] [-k] [idx0 idx1 ...]\ncode=keybcs2 | il2 | koi8cs \n"
#define STREQ(a,b)  (!cstrcmp((a),(b)))
#define STRNEQ(a,b)  (cstrcmp((a),(b)))
